package com.bankaudit.dto.process;

import java.util.List;

import com.bankaudit.model.MaintRatingModelOverlayWrk;
import com.bankaudit.model.MaintRatingModelWrk;
import com.bankaudit.model.MaintRatingParameterMappingWrk; 
import com.bankaudit.model.MaintRatingParameterRangeWrk;
import com.bankaudit.model.MaintRatingParameterDtlsWrk;

public class MaintRatingModelDto {

	private MaintRatingModelWrk maintRatingModelWrk;
	
	private List<MaintRatingParameterDtlsWrk> maintRatingPrameterDtlsWrkList;
	 
	private List<MaintRatingParameterRangeWrk> maintRatingParameterRangeWrkList;
	
	private List<MaintRatingParameterMappingWrk> maintRatingParameterCategoryMappingWrkList;
	
	private List<MaintRatingModelOverlayWrk> maintRatingModelOverlayWrkList;	

	public MaintRatingModelWrk getMaintRatingModelWrk() {
		return maintRatingModelWrk;
	}

	public void setMaintRatingModelWrk(MaintRatingModelWrk maintRatingModelWrk) {
		this.maintRatingModelWrk = maintRatingModelWrk;
	}

	public List<MaintRatingParameterDtlsWrk> getMaintRatingPrameterDtlsWrkList() {
		return maintRatingPrameterDtlsWrkList;
	}

	public void setMaintRatingPrameterDtlsWrkList(List<MaintRatingParameterDtlsWrk> maintRatingPrameterDtlsWrkList) {
		this.maintRatingPrameterDtlsWrkList = maintRatingPrameterDtlsWrkList;
	}

	public List<MaintRatingParameterRangeWrk> getMaintRatingParameterRangeWrkList() {
		return maintRatingParameterRangeWrkList;
	}

	public void setMaintRatingParameterRangeWrkList(List<MaintRatingParameterRangeWrk> maintRatingParameterRangeWrkList) {
		this.maintRatingParameterRangeWrkList = maintRatingParameterRangeWrkList;
	}

	public List<MaintRatingParameterMappingWrk> getMaintRatingParameterCategoryMappingWrkList() {
		return maintRatingParameterCategoryMappingWrkList;
	}

	public void setMaintRatingParameterCategoryMappingWrkList(
			List<MaintRatingParameterMappingWrk> maintRatingParameterCategoryMappingWrkList) {
		this.maintRatingParameterCategoryMappingWrkList = maintRatingParameterCategoryMappingWrkList;
	}

	public List<MaintRatingModelOverlayWrk> getMaintRatingModelOverlayWrkList() {
		return maintRatingModelOverlayWrkList;
	}

	public void setMaintRatingModelOverlayWrkList(List<MaintRatingModelOverlayWrk> maintRatingModelOverlayWrkList) {
		this.maintRatingModelOverlayWrkList = maintRatingModelOverlayWrkList;
	} 
	
}
